# Radiant - Business analytics using R and Shiny


## Introduction to Radiant

<iframe width="640" height="375" src="https://www.youtube.com/embed/7L3hDpLw53I" frameborder="0" allowfullscreen></iframe>

## Installing Radiant on Windows

For Windows, download and run the all-in-one installer for <a href="http://rady.ucsd.edu/faculty/directory/nijs/pub/docs/radiant/Rady-Radiant-Installer-64bit.exe">R, Rstudio, and Radiant</a>. For a video tutorial see the `Install Radiant on Windows` video below:

<iframe width="640" height="375" src="https://www.youtube.com/embed/iaB4mTrm2Co" frameborder="0" allowfullscreen></iframe>

> Credits: Thanks go to Brandon Salas at the Rady School of Management for creating the Windows installer

## Installing Radiant on Mac

For Mac, first download and install R from <a href="https://cran.r-project.org/bin/macosx/" target="_blank">https://cran.r-project.org/bin/macosx/</a>. After R has been installed, open R, copy-and-paste the command below into R, and press return. Accept all default settings during the install process:

```r
source("https://raw.githubusercontent.com/radiant-rstats/minicran/gh-pages/install.R")
```

For a video tutorial see the `Install Radiant on Mac` video below:

<iframe width="640" height="375" src="https://www.youtube.com/embed/WheqHpobMZg" frameborder="0" allowfullscreen></iframe>

## Starting and stopping

<iframe width="640" height="375" src="https://www.youtube.com/embed/rNPnnqJhmD4" frameborder="0" allowfullscreen></iframe>

## Getting help

<iframe width="640" height="375" src="https://www.youtube.com/embed/9qAQio9Hb7k" frameborder="0" allowfullscreen></iframe>

## Getting data in and out

<iframe width="640" height="375" src="https://www.youtube.com/embed/PuoMc1x4MD8" frameborder="0" allowfullscreen></iframe>

## Fast and efficient analysis

<iframe width="640" height="375" src="https://www.youtube.com/embed/wtHIz-umoME" frameborder="0" allowfullscreen></iframe>

## Reproducible analysis

<iframe width="640" height="375" src="https://www.youtube.com/embed/pNNQc2lHR8Q" frameborder="0" allowfullscreen></iframe>

## Using Radiant for Model Evaluation

The state file used in the demo is available for download from [GitHub](https://radiant-rstats.github.io/docs/examples/demo-state2-dvd-rnd.rda) 

<iframe width="640" height="375" src="https://www.youtube.com/embed/9fugq5dXNhk" frameborder="0" allowfullscreen></iframe>

<!--
## Visualizing data

<iframe width="640" height="375" src="" frameborder="0" allowfullscreen></iframe>

-->

## License


Radiant is licensed under the <a href="https://tldrlegal.com/license/gnu-affero-general-public-license-v3-(agpl-3.0)" target="\_blank">AGPLv3</a>. As a summary, the AGPLv3 license requires, attribution, including copyright and license information in copies of the software, stating changes if the code is modified, and disclosure of all source code. Details are in the COPYING file.

The documentation, images, and videos for the `radiant.data` package are licensed under the creative commons attribution and share-alike license <a href="https://creativecommons.org/licenses/by-sa/4.0/" target="_blank">CC-BY-SA</a>. All other documentation and videos on this site, as well as the help files for `radiant.design`, `radiant.basics`, `radiant.model`, and `radiant.multivariate`, are licensed under the creative commons attribution, non-commercial, share-alike license <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/" target="_blank">CC-NC-SA</a>.

If you are interested in using any of the radiant packages please email me at radiant@rady.ucsd.edu

&copy; Vincent Nijs (2018) <a rel="license" href="https://creativecommons.org/licenses/by-sa/4.0/" target="_blank"><img alt="Creative Commons License" style="border-width:0" src="imgs/by-sa.png" /></a>
